---
title: "Why I Ditched My iPhone After 7 Years"
date: 2022-07-13T11:22:50-07:00
draft: false
---
I got my first Apple product while I was just in elementary school: an iPod Nano 3rd Gen that was pre-loaded with Adele and the movie WALL-E. And a few years after that at 10 years old, I got an iPod Touch 4th Gen that opened what felt like other planets for me to discover. Then at Christmas of 2014, I got an iPhone 5c, my first cellular device, back when Apple gave them away for free. I was officially hooked into what we know it as today: the Apple Ecosystem. I was stuck in this honeymoon phase for almost 5 years, until last year when I became more aware of odd practices in the tech industry, the incredible world of open-source software, and the ways the devices I was using every day were using me.

I graduated high school in 2020, the same time when COVID-19 began. As everything began shifting online as high school ended, I was required to sign up for several accounts for my college classes that summer, and also for other services that my friends were using to communicate such as Discord and Zoom. All of which I did blindly without doing any research or reading between the lines. I stayed comfortable with where I was at and, more importantly at the time, where my friends were at, and it wasn't until I left for college in the fall to discover how much clash and controversy there is in the tech industry.

## The Awakening

It wasn't until the beginning of 2021 that I started seeing articles, old and new, of these popular companies I had tech accounts with were either becoming breached or willingly sold my information. Apple, Google, Facebook and Amazon have had their fair sharing of data and anti-trust lawsuits. All of which I have usually never taken seriously. But in the light of that, I also became more aware of free and open-source software and how it's freedom not only confirms our trust in a product, but also it's ability to share new projects and be able to have that feeling of independence after relying on proprietary software that hides it's secrets. While I wouldn't call myself an open-source purist, I do my best to advocate and use open-source software when possible. With both of these things in mind, I have worked my hardest to move everything I do to open-source software and having my independence away from a single tech company, notably Google, by relying on others for different tasks. At this point I feel pretty confident I have done so the best I can, but one contender remained: my iPhone.

At this point, I have gone through 3 more iPhones: the 6, 6S and 11. (The 6S I had was a champ!) But now as my 11 is now paid off the two-year contract and I now have all this knowledge, I had a decision I had to make: Do I continue settling for a new expensive iPhone, or do I take the leap of faith and go Android? After all, [Android is open-source](https://source.android.com/) and based on Linux which I love using and supporting, it embraces being open through side-loading where [Apple has a garbage take on it being a security hazard](https://www.youtube.com/watch?v=huC9lvQi47o) (though I do love Craig's charisma talking about it), and, in my opinion, does a better job of managing permissions and privacy. But, if I switch, I'll lose iMessage, my Apple Watch, and the respect from my friends (a majority of whom use iPhones).

So obviously I went the Android route. Specifically, I'm rocking a Google Pixel 5a with [GrapheneOS](https://grapheneos.org/) installed. Yes, buying a Google Pixel device for privacy sounds incredibly ironic, but they are actually the [best phones for privacy and security](https://www.privacyguides.org/android/#google-pixel) due to Google implementing the Android Security Model correctly and Google being okay with you to flash custom OSes to the device as long as you buy it unlocked. Plus, most privacy-based Android distributions are only available for install on Pixel devices. I also didn't hold out for the 6a coming at the end of this month since I liked the appearance and feature set of the 5a more. So how are my first impressions?

## Privacy

I feel like I have control of my life again using Android. The amount of control I am given over every single application, including the sandboxed Google Play Services with GrapheneOS, is incomparable to the experience I had on iOS where it was simply a toggle or a setting buried deep with no further explanation. I also really like the bare system that GrapheneOS leaves you with after installation. Reminded me a lot of installing Gentoo or Arch Linux and made me happy. I have been very annoyed to find out that some apps require Google Play Services to do something simple such as send notifications (specifically Discord) or just work in general, but having them sandboxed and controlled like an app I installed from the app store gives me a little more peace of mind.

You might ask, why did you not go with [CalyxOS](https://calyxos.org/)? And the reason is simple, GrapheneOS was the first OS I was made aware of and I liked the control over Play Services, whether from Google or microG. If you are debating which one to install, I believe GrapheneOS is the better option for full privacy with the option to use Play Services, where CalyxOS provides privacy with the convenience of Play Services through microG.

## Apps

Luckily I tested the waters before switching over since I had a Pixel 2XL I bought for $25 in order to make developing [Wiimmfi Watcher](/projects/wiimmfi) easier. I used that phone to find potential open-source replacements for every day apps through F-Droid and Droid-ify and find outlets to get the other proprietary apps I need with Aurora Store. I also ended up installing a couple of the [Simple Mobile Apps](https://www.simplemobiletools.com/) to replace a few apps that GrapheneOS comes with since some of them are extraordinarily outdated. Other than that, no issues with apps whatsoever.

## The Phone Itself

Navigation is a bit of a struggle right now, I forget where I am most of the time getting deeper into apps. I also completely forgot what a lock screen is, so sometimes I will lift up the phone and swipe up to try and see other hidden notifications but end up getting to the passcode screen instead.

The Pixel 5a is also a mid-range phone. I have only used high-end iPhones for my life and right now the phone does not feel as snappy, but I also believe that it's very capable of doing the jobs I need it to do. So far 5G has done nothing exciting with me, however I work from home at the moment so I don't leave the house much to test it out fully. I have had weird issues with calls, but I think it may be an issue with the network I'm using.

## Final Thoughts

These last three days have been exciting! I can't wait to see how my experience will be after a month. In fact, I will try to create a second blog post after some time detailing how I felt about everything. Stay tuned and I'll give you the deets!
